# List Integration Points

Returns a list of all `IntegrationPoint` objects.
**Operation ID:** `integrationPoints_list`

Endpoint: GET /v1/integration-points
Security: BearerAuth

## Security:

  - `BearerAuth` (unknown)
    http bearer

## Query parameters:

  - `limit` (integer)
    Number of `IntegrationPoint` objects to return in this page. Defaults to 100.

  - `start_after` (string)
    Return `IntegrationPoint` objects starting after this `name`.

  - `order` (array)
    Select a field to order the results by. Defaults to `name`. To control the direction of the sorting, append
`[asc]` or `[desc]` to the field name. For example, `name[desc]` will sort the results by `name` in descending order.
The ordering defaults to `asc` if not specified. May be used multiple times to order by multiple fields, and the
ordering is applied in the order the fields are specified.

  - `filter` (array)
    Filter results by this query. For more information on filtering, refer to our [Filtering Guide](https://docs.synqly.com/guides/getting-started/management-api-filtering). Defaults to no filter.
If used more than once, the queries are ANDed together.

  - `total` (boolean)
    Return total number of integration points in the system, respecting all applied filters. This is expensive, use sparingly.

## Response 200 fields (application/json):

  - `result` (array, required)

  - `result.name` (string, required)
    Human-readable name for this resource

  - `result.created_at` (string, required)
    Time object was originally created

  - `result.updated_at` (string, required)
    Last time object was updated

  - `total` (integer)

## Response 400 fields (application/json):

  - `message` (string, required)
    A short, display-friendly summary of the problem.

  - `detail` (string)
    A display-friendly and more detailed explanation of the problem. It may offer additional contextual detail, but may also be just a generic description of the problem.

  - `remediation` (string)
    A display-friendly explanation for how to remediate the problem. This field may be omitted in case there are multiple problems, each with its own remediation, or if no remediation is possible.

  - `context` (object)

  - `context.parameter` (object)

  - `context.parameter.id` (string, required)
    If the `location` of the parameter is `body`, this value is always a JSON Pointer, otherwise it's the name of the parameter.

  - `context.parameter.location` (string, required)
    Enum: "header", "path", "query", "body"

  - `context.parameter.value` (any)
    The given value of the parameter.

  - `context.resources` (array)

  - `context.resources.type` (string, required)
    Enum: "account", "bridge", "credential", "integration_point", "integration", "member", "operation", "organization_webhook", "role", "sub_org", "token", "transform"

  - `context.resources.id` (string, required)
    ID of the related resource.

  - `context.resources.rel` (string, required)
    Enum: "affected", "cause"

  - `context.raw_error` (string)
    If available this represents the underlying raw error, for example an error response from a Provider.

  - `context.provider_details` (object)
    If available this represents the underlying details from the provider. May include the error message, status code, and other details.

## Response 401 fields (application/json):

  - `message` (string, required)
    A short, display-friendly summary of the problem.

  - `detail` (string)
    A display-friendly and more detailed explanation of the problem. It may offer additional contextual detail, but may also be just a generic description of the problem.

  - `remediation` (string)
    A display-friendly explanation for how to remediate the problem. This field may be omitted in case there are multiple problems, each with its own remediation, or if no remediation is possible.

  - `context` (object)

  - `context.parameter` (object)

  - `context.parameter.id` (string, required)
    If the `location` of the parameter is `body`, this value is always a JSON Pointer, otherwise it's the name of the parameter.

  - `context.parameter.location` (string, required)
    Enum: "header", "path", "query", "body"

  - `context.parameter.value` (any)
    The given value of the parameter.

  - `context.resources` (array)

  - `context.resources.type` (string, required)
    Enum: "account", "bridge", "credential", "integration_point", "integration", "member", "operation", "organization_webhook", "role", "sub_org", "token", "transform"

  - `context.resources.id` (string, required)
    ID of the related resource.

  - `context.resources.rel` (string, required)
    Enum: "affected", "cause"

  - `context.raw_error` (string)
    If available this represents the underlying raw error, for example an error response from a Provider.

  - `context.provider_details` (object)
    If available this represents the underlying details from the provider. May include the error message, status code, and other details.

## Response 402 fields (application/json):

  - `message` (string, required)
    A short, display-friendly summary of the problem.

  - `detail` (string)
    A display-friendly and more detailed explanation of the problem. It may offer additional contextual detail, but may also be just a generic description of the problem.

  - `remediation` (string)
    A display-friendly explanation for how to remediate the problem. This field may be omitted in case there are multiple problems, each with its own remediation, or if no remediation is possible.

  - `context` (object)

  - `context.parameter` (object)

  - `context.parameter.id` (string, required)
    If the `location` of the parameter is `body`, this value is always a JSON Pointer, otherwise it's the name of the parameter.

  - `context.parameter.location` (string, required)
    Enum: "header", "path", "query", "body"

  - `context.parameter.value` (any)
    The given value of the parameter.

  - `context.resources` (array)

  - `context.resources.type` (string, required)
    Enum: "account", "bridge", "credential", "integration_point", "integration", "member", "operation", "organization_webhook", "role", "sub_org", "token", "transform"

  - `context.resources.id` (string, required)
    ID of the related resource.

  - `context.resources.rel` (string, required)
    Enum: "affected", "cause"

  - `context.raw_error` (string)
    If available this represents the underlying raw error, for example an error response from a Provider.

  - `context.provider_details` (object)
    If available this represents the underlying details from the provider. May include the error message, status code, and other details.

## Response 403 fields (application/json):

  - `message` (string, required)
    A short, display-friendly summary of the problem.

  - `detail` (string)
    A display-friendly and more detailed explanation of the problem. It may offer additional contextual detail, but may also be just a generic description of the problem.

  - `remediation` (string)
    A display-friendly explanation for how to remediate the problem. This field may be omitted in case there are multiple problems, each with its own remediation, or if no remediation is possible.

  - `context` (object)

  - `context.parameter` (object)

  - `context.parameter.id` (string, required)
    If the `location` of the parameter is `body`, this value is always a JSON Pointer, otherwise it's the name of the parameter.

  - `context.parameter.location` (string, required)
    Enum: "header", "path", "query", "body"

  - `context.parameter.value` (any)
    The given value of the parameter.

  - `context.resources` (array)

  - `context.resources.type` (string, required)
    Enum: "account", "bridge", "credential", "integration_point", "integration", "member", "operation", "organization_webhook", "role", "sub_org", "token", "transform"

  - `context.resources.id` (string, required)
    ID of the related resource.

  - `context.resources.rel` (string, required)
    Enum: "affected", "cause"

  - `context.raw_error` (string)
    If available this represents the underlying raw error, for example an error response from a Provider.

  - `context.provider_details` (object)
    If available this represents the underlying details from the provider. May include the error message, status code, and other details.

## Response 404 fields (application/json):

  - `message` (string, required)
    A short, display-friendly summary of the problem.

  - `detail` (string)
    A display-friendly and more detailed explanation of the problem. It may offer additional contextual detail, but may also be just a generic description of the problem.

  - `remediation` (string)
    A display-friendly explanation for how to remediate the problem. This field may be omitted in case there are multiple problems, each with its own remediation, or if no remediation is possible.

  - `context` (object)

  - `context.parameter` (object)

  - `context.parameter.id` (string, required)
    If the `location` of the parameter is `body`, this value is always a JSON Pointer, otherwise it's the name of the parameter.

  - `context.parameter.location` (string, required)
    Enum: "header", "path", "query", "body"

  - `context.parameter.value` (any)
    The given value of the parameter.

  - `context.resources` (array)

  - `context.resources.type` (string, required)
    Enum: "account", "bridge", "credential", "integration_point", "integration", "member", "operation", "organization_webhook", "role", "sub_org", "token", "transform"

  - `context.resources.id` (string, required)
    ID of the related resource.

  - `context.resources.rel` (string, required)
    Enum: "affected", "cause"

  - `context.raw_error` (string)
    If available this represents the underlying raw error, for example an error response from a Provider.

  - `context.provider_details` (object)
    If available this represents the underlying details from the provider. May include the error message, status code, and other details.

## Response 405 fields (application/json):

  - `message` (string, required)
    A short, display-friendly summary of the problem.

  - `detail` (string)
    A display-friendly and more detailed explanation of the problem. It may offer additional contextual detail, but may also be just a generic description of the problem.

  - `remediation` (string)
    A display-friendly explanation for how to remediate the problem. This field may be omitted in case there are multiple problems, each with its own remediation, or if no remediation is possible.

  - `context` (object)

  - `context.parameter` (object)

  - `context.parameter.id` (string, required)
    If the `location` of the parameter is `body`, this value is always a JSON Pointer, otherwise it's the name of the parameter.

  - `context.parameter.location` (string, required)
    Enum: "header", "path", "query", "body"

  - `context.parameter.value` (any)
    The given value of the parameter.

  - `context.resources` (array)

  - `context.resources.type` (string, required)
    Enum: "account", "bridge", "credential", "integration_point", "integration", "member", "operation", "organization_webhook", "role", "sub_org", "token", "transform"

  - `context.resources.id` (string, required)
    ID of the related resource.

  - `context.resources.rel` (string, required)
    Enum: "affected", "cause"

  - `context.raw_error` (string)
    If available this represents the underlying raw error, for example an error response from a Provider.

  - `context.provider_details` (object)
    If available this represents the underlying details from the provider. May include the error message, status code, and other details.

## Response 409 fields (application/json):

  - `message` (string, required)
    A short, display-friendly summary of the problem.

  - `detail` (string)
    A display-friendly and more detailed explanation of the problem. It may offer additional contextual detail, but may also be just a generic description of the problem.

  - `remediation` (string)
    A display-friendly explanation for how to remediate the problem. This field may be omitted in case there are multiple problems, each with its own remediation, or if no remediation is possible.

  - `context` (object)

  - `context.parameter` (object)

  - `context.parameter.id` (string, required)
    If the `location` of the parameter is `body`, this value is always a JSON Pointer, otherwise it's the name of the parameter.

  - `context.parameter.location` (string, required)
    Enum: "header", "path", "query", "body"

  - `context.parameter.value` (any)
    The given value of the parameter.

  - `context.resources` (array)

  - `context.resources.type` (string, required)
    Enum: "account", "bridge", "credential", "integration_point", "integration", "member", "operation", "organization_webhook", "role", "sub_org", "token", "transform"

  - `context.resources.id` (string, required)
    ID of the related resource.

  - `context.resources.rel` (string, required)
    Enum: "affected", "cause"

  - `context.raw_error` (string)
    If available this represents the underlying raw error, for example an error response from a Provider.

  - `context.provider_details` (object)
    If available this represents the underlying details from the provider. May include the error message, status code, and other details.

## Response 415 fields (application/json):

  - `message` (string, required)
    A short, display-friendly summary of the problem.

  - `detail` (string)
    A display-friendly and more detailed explanation of the problem. It may offer additional contextual detail, but may also be just a generic description of the problem.

  - `remediation` (string)
    A display-friendly explanation for how to remediate the problem. This field may be omitted in case there are multiple problems, each with its own remediation, or if no remediation is possible.

  - `context` (object)

  - `context.parameter` (object)

  - `context.parameter.id` (string, required)
    If the `location` of the parameter is `body`, this value is always a JSON Pointer, otherwise it's the name of the parameter.

  - `context.parameter.location` (string, required)
    Enum: "header", "path", "query", "body"

  - `context.parameter.value` (any)
    The given value of the parameter.

  - `context.resources` (array)

  - `context.resources.type` (string, required)
    Enum: "account", "bridge", "credential", "integration_point", "integration", "member", "operation", "organization_webhook", "role", "sub_org", "token", "transform"

  - `context.resources.id` (string, required)
    ID of the related resource.

  - `context.resources.rel` (string, required)
    Enum: "affected", "cause"

  - `context.raw_error` (string)
    If available this represents the underlying raw error, for example an error response from a Provider.

  - `context.provider_details` (object)
    If available this represents the underlying details from the provider. May include the error message, status code, and other details.

## Response 429 fields (application/json):

  - `message` (string, required)
    A short, display-friendly summary of the problem.

  - `detail` (string)
    A display-friendly and more detailed explanation of the problem. It may offer additional contextual detail, but may also be just a generic description of the problem.

  - `remediation` (string)
    A display-friendly explanation for how to remediate the problem. This field may be omitted in case there are multiple problems, each with its own remediation, or if no remediation is possible.

  - `context` (object)

  - `context.parameter` (object)

  - `context.parameter.id` (string, required)
    If the `location` of the parameter is `body`, this value is always a JSON Pointer, otherwise it's the name of the parameter.

  - `context.parameter.location` (string, required)
    Enum: "header", "path", "query", "body"

  - `context.parameter.value` (any)
    The given value of the parameter.

  - `context.resources` (array)

  - `context.resources.type` (string, required)
    Enum: "account", "bridge", "credential", "integration_point", "integration", "member", "operation", "organization_webhook", "role", "sub_org", "token", "transform"

  - `context.resources.id` (string, required)
    ID of the related resource.

  - `context.resources.rel` (string, required)
    Enum: "affected", "cause"

  - `context.raw_error` (string)
    If available this represents the underlying raw error, for example an error response from a Provider.

  - `context.provider_details` (object)
    If available this represents the underlying details from the provider. May include the error message, status code, and other details.

## Response 500 fields (application/json):

  - `message` (string, required)
    A short, display-friendly summary of the problem.

  - `detail` (string)
    A display-friendly and more detailed explanation of the problem. It may offer additional contextual detail, but may also be just a generic description of the problem.

  - `remediation` (string)
    A display-friendly explanation for how to remediate the problem. This field may be omitted in case there are multiple problems, each with its own remediation, or if no remediation is possible.

  - `context` (object)

  - `context.parameter` (object)

  - `context.parameter.id` (string, required)
    If the `location` of the parameter is `body`, this value is always a JSON Pointer, otherwise it's the name of the parameter.

  - `context.parameter.location` (string, required)
    Enum: "header", "path", "query", "body"

  - `context.parameter.value` (any)
    The given value of the parameter.

  - `context.resources` (array)

  - `context.resources.type` (string, required)
    Enum: "account", "bridge", "credential", "integration_point", "integration", "member", "operation", "organization_webhook", "role", "sub_org", "token", "transform"

  - `context.resources.id` (string, required)
    ID of the related resource.

  - `context.resources.rel` (string, required)
    Enum: "affected", "cause"

  - `context.raw_error` (string)
    If available this represents the underlying raw error, for example an error response from a Provider.

  - `context.provider_details` (object)
    If available this represents the underlying details from the provider. May include the error message, status code, and other details.

